<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>

        html, body, .container{
            height: 100%;
            margin: 0;
        }

        .container {
            display: flex;
            flex-direction: column;
        }
        .container .item {
            border: 1px solid #ff9933;
            padding: 5px;
        }
        .container .item.header {
            height: 20%;
            background-color: lightgoldenrodyellow;
            color: #20807c;
            opacity: .5;
        }

        .container .item.content {
            height: 70%;
            display: flex;
            flex-direction: row;
            padding: 0;
        }

        .container .item.footer {
            height: 10%;
            background-color: lightblue;
        }

        .container .item.content .nav {
            background-color: lightcyan;
            /*width: 25%;*/
            padding: 10px;
            flex-grow: 0.5;
            flex-basis: 150px;
            flex-shrink: 0;
        }

        .container .item.content .article {
            background-color: lightsteelblue;
            padding: 10px;
            flex-grow: 2;
            flex-basis: 150px;
            flex-shrink: 5;
        }

        .container .item.content .advert {
            flex-grow: 0.5;
            flex-basis: 150px;
            flex-shrink: 0;
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="item header">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Deserunt harum numquam porro sit voluptatum. Accusantium alias asperiores at atque aut, dolorum ipsa laboriosam magnam maxime obcaecati quam tempore totam unde?</div>

        <div class="item content">

            <div class="nav">
                <ul>
                    <li>1</li>
                    <li>2</li>
                    <li>3</li>
                    <li>4</li>
                    <li>5</li>
                </ul>
            </div>



            <div class="article">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Animi corporis deserunt distinctio eos eum eveniet fugit iste neque numquam obcaecati odit quam quas ratione, sed sit, temporibus tenetur velit voluptas.</div>


        <div class="advert">
            <ul>
                <li>1</li>
                <li>2</li>
                <li>3</li>
                <li>4</li>
                <li>5</li>
            </ul>
        </div>

        </div>
        <div class="item footer">Lorem ipsum dolor sit amet, consectetur adipisicing elit. At atque dicta est expedita minima molestias soluta! Aliquam, assumenda aut consectetur esse eum itaque neque nostrum quam quas, quos rerum tenetur.</div>
    </div>
</body>
</html>